• English
  • Create Virtual Account

    Request path

    /api/v2/virtual/account/label/create

    Parameter list

    NameTypeLengthRequiredDescription
    virtualAccountNameString200yesThe name of the virtual account
    identityTypeString32yesUser's document type: ● Personal type and use BVN check as "personal" ● Personal type and use NIN check is "personal_nin" ● The enterprise type and use CAC verification is "company"
    licenseNumberString64yesLicenseNumber ● If the document type is personal, the user’s BVN number will be passed ● If the certificate type is personal_nin, the user's NIN number is passed ● If the certificate type is company, pass the company’s CAC number. Note that it must start with RC or BN
    emailString128noUser's E-mail address
    customerNameString200yesUser's name ● Personal type :User's Name ● Company type:The company's name on CAC
    accountReferenceString120noThis is a reference field for the virtual account. It can be customized and will only be cleared when deleted.

    Return value

    NameTypeLengthRequiredDescription
    virtualAccountNameString200yesThe name of the virtual account
    virtualAccountNoString64yesVirtual Account number
    statusString32yesVirtual Account status: Enabled 、Disabled 、Deleted The default state of successful creation is Enabled.
    identityTypeString32noUser's identity type: Personal type is "personal" Company type is "company"
    licenseNumberString64noLicenseNumber Personal type :User's BVN number Company type:The company's CAC number
    emailString128noUser's E-mail address
    customerNameString200noUser's name ● Personal type :User's Name ● Company type:The company's name on CAC
    accountReferenceString120noThis is a reference field for the virtual account. It can be customized and will only be cleared when deleted.

    Error code

    Error code

    Postman example

    request

    curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/virtual/account/label/create' \
    --header 'Authorization: Bearer L231127063379321376521' \
    --header 'countryCode: NG' \
    --header 'Signature: Xgp7oFDxe5Jvy859hDxvlFo2+Hc4VtZrMge+b09XLnwngPc7l2RinScXK4aADDMcreZtN5thCsj/qfM6rXzHBPF5lrUvAPN8TB+rc2wTacqNVLDElEusYjAEDVHCv9CeMsmTgsERMQgHpRwUkOLqUEcE7JAsX/MnHdFsv+nQdtqvc5wn0O7nCq/o2MhUiNhvNIw7UFfjy9p5Pz+JM8yV92Tno1QoWv0w01pWZHR15LoSauRCzdEN2K+ctbHrKF+He+xxHL0kdunI1yqj7hnfZ5qblEckR8DhqowAFNSu/Yp7TaAFbBBM4yGJTTEB4Hg7uocsWtd3zwYa2nU0lLetJA==' \
    --header 'content-type: application/json;charset=UTF-8' \
    --data '{
    	"requestTime":1703152048883,
    	"identityType":"company",
    	"licenseNumber":"dasd141234114123",
    	"virtualAccountName":"PPTV2",
    	"version":"V2.0",
    	"customerName":"palmpayTester",
    	"email":"2222@palmpay.com",
    	"nonceStr":"8GagBq4oGahVZAD8PQgLFJdhGQxoS1gy"
    }'

    response

    {
        "data": {
            "identityType": "company",
            "licenseNumber": "dasd141234114123",
            "virtualAccountName": "PPTV2(Account Suffix of Institution)",
            "virtualAccountNo": "6664564951",
            "email": "2222@palmpay.com",
            "customerName": "palmpayTester",
            "status": "Enabled",
            "accountReference": "accountReference example"
        },
        "respMsg": "success",
        "respCode": "00000000",
        "status": true
    }